diff --git a/guava-testlib/src/com/google/common/collect/testing/google/MultisetSetCountConditionallyTester.java b/guava-testlib/src/com/google/common/collect/testing/google/MultisetSetCountConditionallyTester.java
index d5e6963..d2241a0 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/MultisetSetCountConditionallyTester.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/MultisetSetCountConditionallyTester.java
@@ -21,7 +21,6 @@ import static com.google.common.collect.testing.features.CollectionSize.SEVERAL;
 import static com.google.common.collect.testing.features.CollectionSize.ZERO;
 import static java.util.Collections.nCopies;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
 import org.junit.Ignore;
@@ -32,7 +31,6 @@ import org.junit.Ignore;
  *
  * @author Chris Povirk
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class MultisetSetCountConditionallyTester<E> extends AbstractMultisetSetCountTester<E> {
   @Override
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/MultisetSetCountUnconditionallyTester.java b/guava-testlib/src/com/google/common/collect/testing/google/MultisetSetCountUnconditionallyTester.java
index ec5436d..43280a0 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/MultisetSetCountUnconditionallyTester.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/MultisetSetCountUnconditionallyTester.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.google;
 
-import com.google.common.annotations.GwtCompatible;
 import org.junit.Ignore;
 
 /**
@@ -25,7 +24,6 @@ import org.junit.Ignore;
  *
  * @author Chris Povirk
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class MultisetSetCountUnconditionallyTester<E> extends AbstractMultisetSetCountTester<E> {
   @Override
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/MultisetTestSuiteBuilder.java b/guava-testlib/src/com/google/common/collect/testing/google/MultisetTestSuiteBuilder.java
index 91d7a60..ba015b3 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/MultisetTestSuiteBuilder.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/MultisetTestSuiteBuilder.java
@@ -18,7 +18,6 @@ package com.google.common.collect.testing.google;
 
 import static com.google.common.base.Preconditions.checkArgument;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.Multiset;
 import com.google.common.collect.Multiset.Entry;
 import com.google.common.collect.Multisets;
@@ -52,7 +51,6 @@ import junit.framework.TestSuite;
  * @author Jared Levy
  * @author Louis Wasserman
  */
-@GwtIncompatible
 public class MultisetTestSuiteBuilder<E>
     extends AbstractCollectionTestSuiteBuilder<MultisetTestSuiteBuilder<E>, E> {
   public static <E> MultisetTestSuiteBuilder<E> using(TestMultisetGenerator<E> generator) {
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/SetGenerators.java b/guava-testlib/src/com/google/common/collect/testing/google/SetGenerators.java
index 0b55a27..4b62b61 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/SetGenerators.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/SetGenerators.java
@@ -25,12 +25,8 @@ import static com.google.common.collect.testing.SampleElements.Strings.BEFORE_FI
 import static com.google.common.collect.testing.SampleElements.Strings.BEFORE_FIRST_2;
 import static junit.framework.Assert.assertEquals;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.ContiguousSet;
 import com.google.common.collect.DiscreteDomain;
-import com.google.common.collect.ImmutableSet;
-import com.google.common.collect.ImmutableSortedSet;
 import com.google.common.collect.Lists;
 import com.google.common.collect.Ordering;
 import com.google.common.collect.Range;
@@ -58,7 +54,6 @@ import java.util.SortedSet;
  * @author Jared Levy
  * @author Hayward Chan
  */
-@GwtCompatible(emulated = true)
 public class SetGenerators {
 
   public static class ImmutableSetCopyOfGenerator extends TestStringSetGenerator {
@@ -171,7 +166,7 @@ public class SetGenerators {
     }
   }
 
-  @GwtIncompatible // NavigableSet
+  // NavigableSet
   public static class ImmutableSortedSetDescendingGenerator extends TestStringSortedSetGenerator {
     @Override
     protected SortedSet<String> create(String[] elements) {
@@ -263,7 +258,7 @@ public class SetGenerators {
     }
   }
 
-  @GwtIncompatible // NavigableSet
+  // NavigableSet
   public static class ImmutableSortedSetDescendingAsListGenerator extends TestStringListGenerator {
     @Override
     protected List<String> create(String[] elements) {
@@ -390,7 +385,7 @@ public class SetGenerators {
     }
   }
 
-  @GwtIncompatible // NavigableSet
+  // NavigableSet
   public static class ContiguousSetDescendingGenerator extends AbstractContiguousSetGenerator {
     @Override
     protected SortedSet<Integer> create(Integer[] elements) {
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/SetMultimapAsMapTester.java b/guava-testlib/src/com/google/common/collect/testing/google/SetMultimapAsMapTester.java
index 49187dd..44e2b6b 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/SetMultimapAsMapTester.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/SetMultimapAsMapTester.java
@@ -17,7 +17,6 @@ package com.google.common.collect.testing.google;
 import static com.google.common.collect.testing.features.CollectionSize.SEVERAL;
 import static com.google.common.collect.testing.features.MapFeature.SUPPORTS_REMOVE;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.Maps;
 import com.google.common.collect.SetMultimap;
 import com.google.common.collect.Sets;
@@ -41,7 +40,6 @@ import org.junit.Ignore;
  * @param <K> The key type of the tested multimap.
  * @param <V> The value type of the tested multimap.
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class SetMultimapAsMapTester<K, V> extends AbstractMultimapTester<K, V, SetMultimap<K, V>> {
   public void testAsMapValuesImplementSet() {
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/SetMultimapEqualsTester.java b/guava-testlib/src/com/google/common/collect/testing/google/SetMultimapEqualsTester.java
index 18d3823..a8c003a 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/SetMultimapEqualsTester.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/SetMultimapEqualsTester.java
@@ -16,7 +16,6 @@ package com.google.common.collect.testing.google;
 
 import static com.google.common.collect.testing.features.CollectionSize.SEVERAL;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.SetMultimap;
 import com.google.common.collect.testing.Helpers;
 import com.google.common.collect.testing.features.CollectionSize;
@@ -28,7 +27,6 @@ import org.junit.Ignore;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class SetMultimapEqualsTester<K, V> extends AbstractMultimapTester<K, V, SetMultimap<K, V>> {
   @CollectionSize.Require(SEVERAL)
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/SetMultimapPutAllTester.java b/guava-testlib/src/com/google/common/collect/testing/google/SetMultimapPutAllTester.java
index ca02b56..d6eb113 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/SetMultimapPutAllTester.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/SetMultimapPutAllTester.java
@@ -17,7 +17,6 @@ package com.google.common.collect.testing.google;
 import static com.google.common.collect.testing.Helpers.copyToSet;
 import static com.google.common.collect.testing.features.MapFeature.SUPPORTS_PUT;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.SetMultimap;
 import com.google.common.collect.testing.features.MapFeature;
 import java.util.Arrays;
@@ -30,7 +29,6 @@ import org.junit.Ignore;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class SetMultimapPutAllTester<K, V> extends AbstractMultimapTester<K, V, SetMultimap<K, V>> {
 
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/SetMultimapPutTester.java b/guava-testlib/src/com/google/common/collect/testing/google/SetMultimapPutTester.java
index 7aaf9dc..d1facbb 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/SetMultimapPutTester.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/SetMultimapPutTester.java
@@ -20,7 +20,6 @@ import static com.google.common.collect.testing.features.CollectionSize.ZERO;
 import static com.google.common.collect.testing.features.MapFeature.ALLOWS_NULL_VALUES;
 import static com.google.common.collect.testing.features.MapFeature.SUPPORTS_PUT;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.SetMultimap;
 import com.google.common.collect.testing.features.CollectionSize;
 import com.google.common.collect.testing.features.MapFeature;
@@ -34,7 +33,6 @@ import org.junit.Ignore;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class SetMultimapPutTester<K, V> extends AbstractMultimapTester<K, V, SetMultimap<K, V>> {
   // Tests for non-duplicate values are in MultimapPutTester
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/SetMultimapReplaceValuesTester.java b/guava-testlib/src/com/google/common/collect/testing/google/SetMultimapReplaceValuesTester.java
index 67b6aec..9990bc1 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/SetMultimapReplaceValuesTester.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/SetMultimapReplaceValuesTester.java
@@ -17,7 +17,6 @@ package com.google.common.collect.testing.google;
 import static com.google.common.collect.testing.features.MapFeature.SUPPORTS_PUT;
 import static com.google.common.collect.testing.features.MapFeature.SUPPORTS_REMOVE;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.SetMultimap;
 import com.google.common.collect.testing.features.MapFeature;
 import java.util.Arrays;
@@ -29,7 +28,6 @@ import org.junit.Ignore;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class SetMultimapReplaceValuesTester<K, V>
     extends AbstractMultimapTester<K, V, SetMultimap<K, V>> {
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/SetMultimapTestSuiteBuilder.java b/guava-testlib/src/com/google/common/collect/testing/google/SetMultimapTestSuiteBuilder.java
index 4368cee..16cf7de 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/SetMultimapTestSuiteBuilder.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/SetMultimapTestSuiteBuilder.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.google;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.SetMultimap;
 import com.google.common.collect.testing.AbstractTester;
 import com.google.common.collect.testing.FeatureSpecificTestSuiteBuilder;
@@ -39,7 +38,6 @@ import junit.framework.TestSuite;
  *
  * @author Louis Wasserman
  */
-@GwtIncompatible
 public class SetMultimapTestSuiteBuilder<K, V>
     extends MultimapTestSuiteBuilder<K, V, SetMultimap<K, V>> {
 
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/SortedMapGenerators.java b/guava-testlib/src/com/google/common/collect/testing/google/SortedMapGenerators.java
index 424fbb1..15ec27a 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/SortedMapGenerators.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/SortedMapGenerators.java
@@ -19,8 +19,6 @@ package com.google.common.collect.testing.google;
 import static com.google.common.base.Preconditions.checkNotNull;
 import static com.google.common.collect.testing.Helpers.mapEntry;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.collect.ImmutableSortedMap;
 import com.google.common.collect.Ordering;
 import com.google.common.collect.testing.SampleElements;
 import com.google.common.collect.testing.TestListGenerator;
@@ -41,7 +39,6 @@ import java.util.SortedMap;
  * @author Chris Povirk
  * @author Louis Wasserman
  */
-@GwtCompatible
 public class SortedMapGenerators {
   public static class ImmutableSortedMapGenerator extends TestStringSortedMapGenerator {
     @Override
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/SortedMultisetTestSuiteBuilder.java b/guava-testlib/src/com/google/common/collect/testing/google/SortedMultisetTestSuiteBuilder.java
index dafd521..92a50e4 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/SortedMultisetTestSuiteBuilder.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/SortedMultisetTestSuiteBuilder.java
@@ -21,9 +21,7 @@ import static com.google.common.collect.testing.features.CollectionFeature.RESTR
 import static com.google.common.collect.testing.features.CollectionFeature.SERIALIZABLE;
 import static com.google.common.collect.testing.features.CollectionFeature.SERIALIZABLE_INCLUDING_VIEWS;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.BoundType;
-import com.google.common.collect.ImmutableList;
 import com.google.common.collect.Lists;
 import com.google.common.collect.Multiset;
 import com.google.common.collect.SortedMultiset;
@@ -53,7 +51,6 @@ import junit.framework.TestSuite;
  *
  * @author Louis Wasserman
  */
-@GwtIncompatible
 public class SortedMultisetTestSuiteBuilder<E> extends MultisetTestSuiteBuilder<E> {
   public static <E> SortedMultisetTestSuiteBuilder<E> using(TestMultisetGenerator<E> generator) {
     SortedMultisetTestSuiteBuilder<E> result = new SortedMultisetTestSuiteBuilder<E>();
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/SortedSetMultimapAsMapTester.java b/guava-testlib/src/com/google/common/collect/testing/google/SortedSetMultimapAsMapTester.java
index 1c00f09..f655769 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/SortedSetMultimapAsMapTester.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/SortedSetMultimapAsMapTester.java
@@ -16,7 +16,6 @@ package com.google.common.collect.testing.google;
 
 import static com.google.common.collect.testing.features.MapFeature.SUPPORTS_REMOVE;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.SortedSetMultimap;
 import com.google.common.collect.testing.features.MapFeature;
 import java.util.ArrayList;
@@ -32,7 +31,6 @@ import org.junit.Ignore;
  * @param <K> The key type of the tested multimap.
  * @param <V> The value type of the tested multimap.
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class SortedSetMultimapAsMapTester<K, V>
     extends AbstractMultimapTester<K, V, SortedSetMultimap<K, V>> {
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/SortedSetMultimapGetTester.java b/guava-testlib/src/com/google/common/collect/testing/google/SortedSetMultimapGetTester.java
index 5244b57..6fa30c5 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/SortedSetMultimapGetTester.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/SortedSetMultimapGetTester.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.google;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.SortedSetMultimap;
 import org.junit.Ignore;
 
@@ -25,7 +24,6 @@ import org.junit.Ignore;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class SortedSetMultimapGetTester<K, V>
     extends AbstractMultimapTester<K, V, SortedSetMultimap<K, V>> {
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/SortedSetMultimapTestSuiteBuilder.java b/guava-testlib/src/com/google/common/collect/testing/google/SortedSetMultimapTestSuiteBuilder.java
index 66c5a8e..f937e2d 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/SortedSetMultimapTestSuiteBuilder.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/SortedSetMultimapTestSuiteBuilder.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.google;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.SetMultimap;
 import com.google.common.collect.testing.AbstractTester;
 import com.google.common.collect.testing.FeatureSpecificTestSuiteBuilder;
@@ -38,7 +37,6 @@ import junit.framework.TestSuite;
  *
  * @author Louis Wasserman
  */
-@GwtIncompatible
 public class SortedSetMultimapTestSuiteBuilder<K, V>
     extends MultimapTestSuiteBuilder<K, V, SetMultimap<K, V>> {
 
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/TestBiMapGenerator.java b/guava-testlib/src/com/google/common/collect/testing/google/TestBiMapGenerator.java
index 11c353b..c676ebc 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/TestBiMapGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/TestBiMapGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.google;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.BiMap;
 import com.google.common.collect.testing.TestContainerGenerator;
 import java.util.Map.Entry;
@@ -26,7 +25,6 @@ import java.util.Map.Entry;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible
 public interface TestBiMapGenerator<K, V> extends TestContainerGenerator<BiMap<K, V>, Entry<K, V>> {
   K[] createKeyArray(int length);
 
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/TestEnumMultisetGenerator.java b/guava-testlib/src/com/google/common/collect/testing/google/TestEnumMultisetGenerator.java
index 851e221..ed4e670 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/TestEnumMultisetGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/TestEnumMultisetGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.google;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.Multiset;
 import com.google.common.collect.testing.AnEnum;
 import com.google.common.collect.testing.SampleElements;
@@ -29,7 +28,6 @@ import java.util.List;
  *
  * @author Jared Levy
  */
-@GwtCompatible
 public abstract class TestEnumMultisetGenerator implements TestMultisetGenerator<AnEnum> {
   @Override
   public SampleElements<AnEnum> samples() {
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/TestListMultimapGenerator.java b/guava-testlib/src/com/google/common/collect/testing/google/TestListMultimapGenerator.java
index 1ab668f..43ff9bf 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/TestListMultimapGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/TestListMultimapGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.google;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.ListMultimap;
 
 /**
@@ -24,6 +23,5 @@ import com.google.common.collect.ListMultimap;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible
 public interface TestListMultimapGenerator<K, V>
     extends TestMultimapGenerator<K, V, ListMultimap<K, V>> {}
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/TestMultimapGenerator.java b/guava-testlib/src/com/google/common/collect/testing/google/TestMultimapGenerator.java
index 06ce43f..b78cb6f 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/TestMultimapGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/TestMultimapGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.google;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.Multimap;
 import com.google.common.collect.testing.SampleElements;
 import com.google.common.collect.testing.TestContainerGenerator;
@@ -28,7 +27,6 @@ import java.util.Map.Entry;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible
 public interface TestMultimapGenerator<K, V, M extends Multimap<K, V>>
     extends TestContainerGenerator<M, Entry<K, V>> {
 
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/TestMultisetGenerator.java b/guava-testlib/src/com/google/common/collect/testing/google/TestMultisetGenerator.java
index d3b5acd..9868410 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/TestMultisetGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/TestMultisetGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.google;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.Multiset;
 import com.google.common.collect.testing.TestCollectionGenerator;
 
@@ -25,7 +24,6 @@ import com.google.common.collect.testing.TestCollectionGenerator;
  *
  * @author Jared Levy
  */
-@GwtCompatible
 public interface TestMultisetGenerator<E> extends TestCollectionGenerator<E> {
   @Override
   Multiset<E> create(Object... elements);
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/TestSetMultimapGenerator.java b/guava-testlib/src/com/google/common/collect/testing/google/TestSetMultimapGenerator.java
index 579dcbd..640235c 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/TestSetMultimapGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/TestSetMultimapGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.google;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.SetMultimap;
 
 /**
@@ -24,6 +23,5 @@ import com.google.common.collect.SetMultimap;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible
 public interface TestSetMultimapGenerator<K, V>
     extends TestMultimapGenerator<K, V, SetMultimap<K, V>> {}
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/TestStringBiMapGenerator.java b/guava-testlib/src/com/google/common/collect/testing/google/TestStringBiMapGenerator.java
index d475397..2f69a77 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/TestStringBiMapGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/TestStringBiMapGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.google;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.BiMap;
 import com.google.common.collect.testing.Helpers;
 import com.google.common.collect.testing.SampleElements;
@@ -31,7 +30,6 @@ import java.util.Map.Entry;
  * @author George van den Driessche
  * @author Louis Wasserman
  */
-@GwtCompatible
 public abstract class TestStringBiMapGenerator implements TestBiMapGenerator<String, String> {
 
   @Override
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/TestStringListMultimapGenerator.java b/guava-testlib/src/com/google/common/collect/testing/google/TestStringListMultimapGenerator.java
index 64b33af..1d838ce 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/TestStringListMultimapGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/TestStringListMultimapGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.google;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.ListMultimap;
 import com.google.common.collect.testing.Helpers;
 import com.google.common.collect.testing.SampleElements;
@@ -29,7 +28,6 @@ import java.util.Map.Entry;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible
 public abstract class TestStringListMultimapGenerator
     implements TestListMultimapGenerator<String, String> {
 
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/TestStringMultisetGenerator.java b/guava-testlib/src/com/google/common/collect/testing/google/TestStringMultisetGenerator.java
index eeacf5d..ff2257f 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/TestStringMultisetGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/TestStringMultisetGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.google;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.Multiset;
 import com.google.common.collect.testing.SampleElements;
 import com.google.common.collect.testing.SampleElements.Strings;
@@ -27,7 +26,6 @@ import java.util.List;
  *
  * @author Jared Levy
  */
-@GwtCompatible
 public abstract class TestStringMultisetGenerator implements TestMultisetGenerator<String> {
   @Override
   public SampleElements<String> samples() {
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/TestStringSetMultimapGenerator.java b/guava-testlib/src/com/google/common/collect/testing/google/TestStringSetMultimapGenerator.java
index e49ccff..9e8e213 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/TestStringSetMultimapGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/TestStringSetMultimapGenerator.java
@@ -15,7 +15,6 @@
  */
 package com.google.common.collect.testing.google;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.SetMultimap;
 import com.google.common.collect.testing.Helpers;
 import com.google.common.collect.testing.SampleElements;
@@ -28,7 +27,6 @@ import java.util.Map.Entry;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible
 public abstract class TestStringSetMultimapGenerator
     implements TestSetMultimapGenerator<String, String> {
 
diff --git a/guava-testlib/src/com/google/common/collect/testing/google/UnmodifiableCollectionTests.java b/guava-testlib/src/com/google/common/collect/testing/google/UnmodifiableCollectionTests.java
index 005746f..838f0c4 100644
--- a/guava-testlib/src/com/google/common/collect/testing/google/UnmodifiableCollectionTests.java
+++ b/guava-testlib/src/com/google/common/collect/testing/google/UnmodifiableCollectionTests.java
@@ -20,7 +20,6 @@ import static junit.framework.TestCase.assertEquals;
 import static junit.framework.TestCase.assertTrue;
 import static junit.framework.TestCase.fail;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.ArrayListMultimap;
 import com.google.common.collect.Iterators;
 import com.google.common.collect.LinkedHashMultiset;
@@ -42,7 +41,6 @@ import java.util.Set;
  *
  * @author Robert Konigsberg
  */
-@GwtCompatible
 public class UnmodifiableCollectionTests {
 
   public static void assertMapEntryIsUnmodifiable(Entry<?, ?> entry) {
diff --git a/guava-testlib/src/com/google/common/collect/testing/testers/AbstractListIndexOfTester.java b/guava-testlib/src/com/google/common/collect/testing/testers/AbstractListIndexOfTester.java
index 46bd529..cdb40ea 100644
--- a/guava-testlib/src/com/google/common/collect/testing/testers/AbstractListIndexOfTester.java
+++ b/guava-testlib/src/com/google/common/collect/testing/testers/AbstractListIndexOfTester.java
@@ -19,7 +19,6 @@ package com.google.common.collect.testing.testers;
 import static com.google.common.collect.testing.features.CollectionFeature.ALLOWS_NULL_VALUES;
 import static com.google.common.collect.testing.features.CollectionSize.ZERO;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.WrongType;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
@@ -30,7 +29,6 @@ import org.junit.Ignore;
  *
  * @author Chris Povirk
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public abstract class AbstractListIndexOfTester<E> extends AbstractListTester<E> {
   /** Override to call {@code indexOf()} or {@code lastIndexOf()}. */
diff --git a/guava-testlib/src/com/google/common/collect/testing/testers/AbstractListTester.java b/guava-testlib/src/com/google/common/collect/testing/testers/AbstractListTester.java
index 5275acb..d241070 100644
--- a/guava-testlib/src/com/google/common/collect/testing/testers/AbstractListTester.java
+++ b/guava-testlib/src/com/google/common/collect/testing/testers/AbstractListTester.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.testers;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.AbstractCollectionTester;
 import com.google.common.collect.testing.Helpers;
 import java.util.Collection;
@@ -28,7 +27,6 @@ import org.junit.Ignore;
  *
  * @author George van den Driessche
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class AbstractListTester<E> extends AbstractCollectionTester<E> {
   /*
diff --git a/guava-testlib/src/com/google/common/collect/testing/testers/AbstractQueueTester.java b/guava-testlib/src/com/google/common/collect/testing/testers/AbstractQueueTester.java
index 7476340..0994b66 100644
--- a/guava-testlib/src/com/google/common/collect/testing/testers/AbstractQueueTester.java
+++ b/guava-testlib/src/com/google/common/collect/testing/testers/AbstractQueueTester.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.testers;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.AbstractCollectionTester;
 import java.util.Queue;
 import org.junit.Ignore;
@@ -26,7 +25,6 @@ import org.junit.Ignore;
  *
  * @author Jared Levy
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class AbstractQueueTester<E> extends AbstractCollectionTester<E> {
   protected final Queue<E> getQueue() {
diff --git a/guava-testlib/src/com/google/common/collect/testing/testers/AbstractSetTester.java b/guava-testlib/src/com/google/common/collect/testing/testers/AbstractSetTester.java
index b7409af..261505e 100644
--- a/guava-testlib/src/com/google/common/collect/testing/testers/AbstractSetTester.java
+++ b/guava-testlib/src/com/google/common/collect/testing/testers/AbstractSetTester.java
@@ -16,13 +16,11 @@
 
 package com.google.common.collect.testing.testers;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.AbstractCollectionTester;
 import java.util.Set;
 import org.junit.Ignore;
 
 /** @author George van den Driessche */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class AbstractSetTester<E> extends AbstractCollectionTester<E> {
   /*
